<template>
    <div>
        <div class="container">
            <h2 class="text-center">แสดงข้อมูล</h2>
            <table class="table table-bordered">
                <tr>
                    <th>รหัส</th>
                    <th>ชื่อ</th>
                    <th>จังหวัด</th>
                    <th>แก้ไข</th>
                    <th>ลบ</th>
                </tr>
                <tr v-for="user in data_user.user_data" :key="user.id">
                    <td>{{user.id}}</td>
                    <td>{{user.name}}</td>
                    <td>{{user.city}}</td>
                    <td><a href="#" class="btn btn-primary">Edit</a></td>
                    <td><a href="#" class="btn btn-warning">Delete</a></td>
                </tr>
            </table>
            <a href="/users/create" class="btn btn-primary">เพิ่มข้อมูล</a>
        </div>
    </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex'
    export default {
        mounted() {
            
        },methods:{
        ...mapActions([
            'getDataUser'
            ]),
        },created() {
            this.getDataUser()
        },computed: {
            ...mapGetters({
            data_user:"getDataUser",
        }),
        },data () {
            return {
                user: [],
            }
        }
    }
</script>
